// Code scaffolded by goctl. Safe to edit.
// goctl 1.9.2

package player

import (
	"net/http"

	"juwan-backend/app/player/api/internal/logic/player"
	"juwan-backend/app/player/api/internal/svc"
	"juwan-backend/app/player/api/internal/types"

	"github.com/zeromicro/go-zero/rest/httpx"
)

// 更新服务
func UpdateServiceHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.UpdateServiceReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := player.NewUpdateServiceLogic(r.Context(), svcCtx)
		resp, err := l.UpdateService(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
